/*
	This file is part of Faster Application Manager.

	Faster Application Manager is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Faster Application Manager is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Faster Application Manager.  If not, see <http://www.gnu.org/licenses/>.

	(C) Heikki Holstila 2010
*/

#ifndef SEARCHOPTIONS_H
#define SEARCHOPTIONS_H

#include <QDialog>

namespace Ui {
    class SearchOptions;
}

class SearchOptions : public QDialog
{
    Q_OBJECT

public:
    explicit SearchOptions(QWidget *parent = 0);
	virtual ~SearchOptions();

	void setSelections(bool pkgname, bool dispname, bool dshort, bool dlong);
	bool searchPkgName();
	bool searchDisplayName();
	bool searchDescShort();
	bool searchDescLong();

protected:
    void changeEvent(QEvent *e);

private:
	SearchOptions(const SearchOptions& old);
	SearchOptions operator= (const SearchOptions& old);

    Ui::SearchOptions *ui;
};

#endif // SEARCHOPTIONS_H
